package com.hzya.frame.seeyon.customer.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.execsql.service.IExecSqlService;
import com.hzya.frame.mdm.mdmModuleSource.entity.MdmModuleSourceEntity;
import com.hzya.frame.seeyon.customer.dao.ICustomerDao;
import com.hzya.frame.seeyon.customer.entity.CustomerEntity;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;

/**
 *
 * @content 客户
 * @className: Administrator
 * @author laborer
 * @date 2025-04-03 9:58
 *
 */

@Repository(value = "CustomerDaoImpl")
public class CustomerDaoImpl extends MybatisGenericDao<CustomerEntity,Long> implements ICustomerDao {
    protected Logger logger = LogManager.getLogger(super.getClass());




    @DS("#entity.dataSourceCode")
    @Override
    public List<CustomerEntity> selectCustomers(CustomerEntity entity) {
        return (List<CustomerEntity>) super.selectList("com.hzya.frame.seeyon.customer.entity.CustomerEntity.CustomerEntity_list_base",entity);
    }
    @DS("#entity.dataSourceCode")
    @Override
    public int updaterCustomers(CustomerEntity entity) {
        return super.update("com.hzya.frame.seeyon.customer.entity.CustomerEntity.CustomerEntity_update",entity);
    }
}
